"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const makeStyleMapper = require("./makeStyleMapper.js");
var AREA_STYLE_KEY_MAP = [
  ["fill", "color"],
  ["shadowBlur"],
  ["shadowOffsetX"],
  ["shadowOffsetY"],
  ["opacity"],
  ["shadowColor"]
  // Option decal is in `DecalObject` but style.decal is in `PatternObject`.
  // So do not transfer decal directly.
];
var getAreaStyle = makeStyleMapper.default(AREA_STYLE_KEY_MAP);
var AreaStyleMixin = (
  /** @class */
  function() {
    function AreaStyleMixin2() {
    }
    AreaStyleMixin2.prototype.getAreaStyle = function(excludes, includes) {
      return getAreaStyle(this, excludes, includes);
    };
    return AreaStyleMixin2;
  }()
);
exports.AREA_STYLE_KEY_MAP = AREA_STYLE_KEY_MAP;
exports.AreaStyleMixin = AreaStyleMixin;
